---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Statistics by application of account

Get statistics by application. If the applicationId is not sent, it will look for all those belonging to the account. 


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "inapp-stats",
      "x-displayName": "InApp - Stats"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/inapp/application/stats": {
      "get": {
        "tags": [
          "inapp-stats"
        ],
        "summary": "Statistics by application of account",
        "description": "Get statistics by application. If the applicationId is not sent, it will look for all those belonging to the account. \n",
        "operationId": "inappStatsByApplications",
        "x-gateway-controller": "statsController",
        "x-gateway-endpoint": "inappStatsByApplications",
        "x-gateway-mode": "custom",
        "x-gateway-check-permission": {
          "account-features": [
            "INAPP_V2_ENABLED"
          ]
        },
        "parameters": [
          {
            "name": "accountId",
            "in": "query",
            "description": "accountId, if not informed search by account of user",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "applicationId",
            "in": "query",
            "description": "application id, if not informed, search by all appIds of account",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "required": true,
            "description": "results per page",
            "schema": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": true,
            "description": "filter by name",
            "schema": {
              "type": "integer",
              "minimum": 0
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/INAPP_RESPONSE_STATS_APPLICATION"
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BASE_ERROR_RESPONSE"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "BASE_ERROR_RESPONSE": {
        "type": "object",
        "required": [
          "statusCode",
          "message"
        ],
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "HTTP error code"
          },
          "message": {
            "type": "string",
            "description": "Message about error"
          }
        }
      },
      "INAPP_SCHEMA_APPLICATION_STATS": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "id": {
            "type": "integer",
            "description": "The ID of the application."
          },
          "name": {
            "type": "string",
            "description": "The name of the application."
          },
          "campaigns": {
            "type": "object",
            "properties": {
              "count": {
                "type": "integer",
                "description": "The count of campaigns related to the application."
              }
            }
          },
          "impacts": {
            "type": "object",
            "properties": {
              "printed": {
                "type": "object",
                "description": "Impacts for printed statictics",
                "properties": {
                  "total": {
                    "type": "integer",
                    "description": "The total print impact count."
                  },
                  "today": {
                    "type": "integer",
                    "description": "The impact print count for today."
                  },
                  "lastWeek": {
                    "type": "integer",
                    "description": "The impact print count for the last week."
                  },
                  "lastMonths": {
                    "type": "integer",
                    "description": "The impact print count for the last month."
                  }
                }
              },
              "clicked": {
                "type": "object",
                "description": "Impacts for clicked statictics",
                "properties": {
                  "total": {
                    "type": "integer",
                    "description": "The total clicked impact count."
                  },
                  "today": {
                    "type": "integer",
                    "description": "The impact clicked count for today."
                  },
                  "lastWeek": {
                    "type": "integer",
                    "description": "The impact clicked count for the last week."
                  },
                  "lastMonths": {
                    "type": "integer",
                    "description": "The impact clicked count for the last month."
                  }
                }
              }
            }
          }
        },
        "example": [
          {
            "id": 1,
            "name": "Test example",
            "campaigns": {
              "count": 0
            },
            "impacts": {
              "printed": {
                "totalImpacts": 0,
                "todayImpacts": 0,
                "lastWeekImpacts": 0,
                "lastMonthImpacts": 0
              },
              "clicked": {
                "totalImpacts": 0,
                "todayImpacts": 0,
                "lastWeekImpacts": 0,
                "lastMonthImpacts": 0
              }
            }
          }
        ]
      }
    },
    "responses": {
      "INAPP_RESPONSE_STATS_APPLICATION": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "additionalProperties": false,
              "required": [
                "statusCode",
                "message",
                "data",
                "count"
              ],
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Response code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually OK",
                  "example": "OK"
                },
                "count": {
                  "type": "integer",
                  "description": "count of stats",
                  "example": 0
                },
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/INAPP_SCHEMA_APPLICATION_STATS"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```